> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/glue-reference/multi-platform/glue-how-to-create-a-flatredball-android-project/android-setup.md).

# Setup

{% hint style="warning" %}
**Android projects cannot currently be created** — see the [Android](/flatredball/glue-reference/multi-platform/glue-how-to-create-a-flatredball-android-project.md) page for why.
{% endhint %}

To create FlatRedBall Android projects, you must:

1. Install Visual Studio as explained on the **FlatRedBall Downloads page**.
2. In the Visual Studio Installer, check **Mobile development with .NET**

   ![](https://951240982-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-M_fye9Ufg3vzJxwX5Hk%2Fuploads%2Fgit-blob-5648e6f7a46184a14b15a161539d9e240d767d35%2F2021-05-img_609a8a6fe4466.png?alt=media)
3. If it isn't already installed, click the button to install
4. Wait for the installation to finish.

Once you have finished installing, you can verify that you have Xamarin installed:

1. Open Visual Studio
2. Select **Create a new project**
3. Search for Xamarin to make sure that Xamarin is installed. If you see search results for Android or iOS development, then it is installed

   ![](https://951240982-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-M_fye9Ufg3vzJxwX5Hk%2Fuploads%2Fgit-blob-79ae7bd342b256c5eb128242bff660390a1f9e8e%2F2022-03-img_62361bd3833b5.png?alt=media)

You're al set up. Now you can begin making Android applications. For information on creating a new Android project, see the [main Android page](https://github.com/flatredball/FlatRedBallDocs/tree/main/documentation/tools/glue-reference/multi-platform/glue-how-to-create-a-flatredball-android-project.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flatredball.com/flatredball/glue-reference/multi-platform/glue-how-to-create-a-flatredball-android-project/android-setup.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
